
using System;

namespace Server.Items
{
[Furniture]
	[Flipable(0x2D12,0x2D13)]
	public class WarriorStatue : Item
	{
		[Constructable]
		public WarriorStatue() : base(0x2D12)
		{
			Weight = 0.0;
		}

		public WarriorStatue(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();

			if ( Weight == 4.0 )
				Weight = 1.0;
		}
	}
}

